: '
: *************************************************************************
:
:              INFORMIX SOFTWARE, INC.
:
:                 PROPRIETARY DATA
:
:   THIS DOCUMENT CONTAINS TRADE SECRET DATA WHICH IS THE PROPERTY OF
:   INFORMIX SOFTWARE, INC.  THIS DOCUMENT IS SUBMITTED TO RECIPIENT IN
:   CONFIDENCE.  INFORMATION CONTAINED HEREIN MAY NOT BE USED, COPIED OR
:   DISCLOSED IN WHOLE OR IN PART EXCEPT AS PERMITTED BY WRITTEN AGREEMENT
:   SIGNED BY AN OFFICER OF INFORMIX SOFTWARE, INC.
:
:   THIS MATERIAL IS ALSO COPYRIGHTED AS AN UNPUBLISHED WORK UNDER
:   SECTIONS 104 AND 408 OF TITLE 17 OF THE UNITED STATES CODE.
:   UNAUTHORIZED USE, COPYING OR OTHER REPRODUCTION IS PROHIBITED BY LAW.
:
:  Title:   d4gldemo
:  Sccsid:  @(#)$Id: d4gldemo.sh,v 1.3 1998/06/24 21:17:15 jleffler Exp $
:  Description:
:           INFORMIX Dynamic 4GL Demonstration Installation Script
: '

IXD=${INFORMIXDIR:-/usr/informix}

PATH=$PATH:$IXD/bin
export PATH

echo "INFORMIX Dynamic 4GL Demonstration Installation"
echo
echo "First, we need to create a database called stores7"
echo "This will use the DB-Access Demonstration script."
echo "You do not need the extra DB-Access example scripts,"
echo "so you can answer N when it asks whether you to copy"
echo "them into the current directory."

DBADEMO=
for demo in dbaccessdemo7 dbaccessdemo5 dbaccessdemo
do
	DBADEMO=$IXD/bin/$demo
	if [ -x $DBADEMO ]
	then
		if $DBADEMO stores7
		then
			DBADEMO=
			break
		else
			echo "$0: failed to create stores7 database with $DBADEMO" 1>&2
			exit 1
		fi
	fi
done

if [ $DBADEMO ]
then
	echo "$0: failed to find any dbaccessdemo program to create the database" 1>&2
	exit 1
fi

: ${D4GLDEMO:=${FGLDIR:-/usr/fgl2c}/d4gldemo}

if [ ! -d $D4GLDEMO ]
then
	echo "$0: Cannot locate Dynamic 4GL demo directory $D4GLDEMO" 1>&2
	exit 1
fi

pwd=`pwd`
echo
echo "Now copying material from $D4GLDEMO to $pwd"
(cd $D4GLDEMO; find . -print | cpio -pvdm $pwd)
echo
echo "Read the README file for more information"
echo
echo "INFORMIX Dynamic 4GL Demonstration Installation is complete"

exit 0
